package ru.landgrafhomyak.serdha.api.v0

import ru.landgrafhomyak.serdha.api.v0.ddl.ColumnType

public interface Expression<RuntimeType, DatabaseType : ColumnType<RuntimeType & Any>, OwnerBuilderUserWrapper : Any> {
	public class Equals<RuntimeType, DatabaseType : ColumnType<RuntimeType & Any>, OwnerBuilderUserWrapper : Any>(
		public val left: Expression<RuntimeType, DatabaseType, OwnerBuilderUserWrapper>,
		public val right: Expression<RuntimeType, DatabaseType, OwnerBuilderUserWrapper>,
	) : Expression<Boolean, ColumnType.BOOLEAN, OwnerBuilderUserWrapper>
}